Name: rpmver
Version: 2.1
Release: 7%{?_dist_release}
Summary: RPM version comparing tool
Summary(ja): RPM バージョン比較ツール
Group: Applications/System
License: GPL
Source0: rpmver-%{version}.tar.bz2
Patch1: rpmver-2.1-rpm48.patch
Buildroot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: rpm-devel popt

%description
RPM version comparing tool which allows one to know how two given versions
relate to each other.

%prep
%setup -q
%patch1 -p1

%build
make CFLAGS="$RPM_OPT_FLAGS -D_RPM_4_4_COMPAT"

%install
rm -rf $RPM_BUILD_ROOT
install -m755 -D rpmver $RPM_BUILD_ROOT%{_bindir}/%{name}

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc LICENSE
%{_bindir}/%{name}

%changelog
* Thu Dec 22 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1-7
- rebuild with rpm-4.9.1.2

* Sun Apr 17 2011 Shu KONNO <owa@bg.wakwak.com> - 2.1-6
- rebuilt with rpm-4.8.1-3

* Sat Feb 13 2010 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 2.1-5
- rebuilt with gcc-4.4.3-3 on ppc

* Fri Feb  5 2010 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 2.1-4
- rebuilt with rpm-4.8.0-3 (on ppc)

* Tue Feb 02 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1-3
- rebuild with rpm-4.8.0

* Mon Apr 13 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1-2
- spec in utf-8

* Sat Jun 14 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.1-1
- applied new versioning policy
- added %%clean section

* Sat May 27 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.1-0vl3
- added LICENSE
- changed Group to Applications/System

* Fri Feb 03 2006 Shu KONNO <owa@bg.wakwak.com> 2.1-0vl2
- rebuilt with rpm-4.4.2-0vl6 under i386 and x86_64 architecture

* Sat Dec 17 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1-0vl1
- new upstream release
- rebuild with rpm-4.4

* Sat Oct  4 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.0-1vl2
- rebuild to remove dependancy at i386
- add BuildRequires: popt-devel
- add Japanese summary

* Tue Nov 26 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0-1vl1
- build for Vine Linux

* Wed Jul 10 2002 Gustavo Niemeyer <niemeyer@conectiva.com>
+ rpmver-2.0-1cl
- New upstream version.
- Rewritten from the ground (closes: #6284, #6183).

* Tue Nov 27 2001 Rodrigo Barbosa <rodrigob@bh.conectiva.com.br>
+ rpmver-1.2.2-1cl
- Minor cosmetics changes for consistency

* Thu Nov 22 2001 Rodrigo Barbosa <rodrigob@bh.conectiva.com.br>
+ rpmver-1.2.1-1cl
- New version to compile against rpm 4.0.3

* Sun Jul 08 2001 Rodrigo Barbosa <rodrigob@bh.conectiva.com.br>
+ rpmver-1.2.0-2cl
- Fixing typo on version message

* Fri Mar 23 2001 Rodrigo Barbosa <rodrigob@conectiva.com>
+ rpmver-1.2.0-1cl
- Update to 1.2.0 (with RPM4 support)

* Tue Dec 05 2000 Rodrigo Barbosa <rodrigob@conectiva.com>
+ rpmver-1.1.1-1cl
- Fixing specfile

* Tue Dec 05 2000 Rodrigo Barbosa <rodrigob@conectiva.com>
+ rpmver-1.1-1cl
- Adding support for comparing Epoch too

* Mon Dec 04 2000 Rodrigo Barbosa <rodrigob@conectiva.com>
+ rpmver-1.0.1-1cl
- Version release version

